claw::meta::if_then_else< Cond, ThenPart, ElsePart > Struct Template Reference

This structure allows to do conditional typing. More...

## Detailed Description

template<bool Cond, typename ThenPart, typename ElsePart>
struct claw::meta::if_then_else< Cond, ThenPart, ElsePart >

This structure allows to do conditional typing.

Template parameters

- Cond The result of the predicate to check.
- ThenPart The type defined when the predicate is true.
- ElsePart The type defined when the predicate is false.

The result can be retrieved via the if_then_else::result type.

Author
  Julien Jorge

Definition at line 50 of file conditional.hpp.

The documentation for this struct was generated from the following file:

- meta/conditional.hpp